<template>
  <div class="cont">
    <el-card class="user-card">
        <el-row style="width: 100%;">
            <el-col :span="4">
            <img :src="`/api/schoolCloud${userList.avater}`" alt="" class="u-avater">
            </el-col>
            <el-col :span="10" class="u-text-list" style="height: 100%;">
                <div class="u-name">
                    {{ userList.uname }}
                    <span>♂</span>
                    <!-- <el-icon><Male /></el-icon> -->
                </div>
                <div class="u-id">
                    通行 ID:1231114
                </div>
                <div class="u-sign">
                    签名：{{ userList.signature }}
                </div>
                <div class="u-tag-list">
                    <el-tag class="ml-2" type="info" size="large">
                        <el-icon><OfficeBuilding /></el-icon>
                        张家界航院</el-tag>
                    <el-tag class="ml-2" type="info" size="large">
                        <el-icon><Location /></el-icon>
                        ip属地:湖南</el-tag>
                </div>
            </el-col>
            <el-col :span="10" class="u-card-right">
            <el-row class="u-btn">
                <el-col :span="8"></el-col>
                <el-col :span="16">
                    <el-button type="primary" plain>编辑资料</el-button></el-col>
            </el-row >
            <el-row class="u-uers-list">
                <el-col :span="6">
                <div>帖子数</div>
                <span>{{ userList.postNum }}</span>
                </el-col>
                <el-col :span="6">
                <div>评论数</div>
                <span>{{ userList.commNum }}</span>
                </el-col>
                <el-col :span="6">
                <div>粉丝</div>
                <span>{{ userList.replyNum }}</span>
                </el-col>
                <el-col :span="6">
                <div>收藏</div>
                <span>{{ userList.collNum }}</span>
                </el-col>
            </el-row>
        <el-row>

        </el-row>
    </el-col>
        </el-row>
    </el-card>
  </div>
</template>

<script lang="ts" setup>
import { onMounted, reactive, ref } from 'vue'
import { Delete, Download, Plus, ZoomIn } from '@element-plus/icons-vue'
import type { UploadFile } from 'element-plus'
import qs from 'qs';
import axios from 'axios'
onMounted(() => {
  axios.post('/api/schoolCloud/pages/selectUser.php', qs.stringify({uid:localStorage.getItem("Userid")}))
              .then(res => {                    
                userList.value=res.data;
                console.log(userList);
                
              // 根据返回的响应数据进行相应的操作
              }).catch(err => {
              console.log(err)
              })
})
const userList = ref({
                      uid:1,
                      avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                      uname:'哒哒哒',
                      signature:'时有好梦，亦怀爱意，向人间老去',
                      postNum:10,
                      Fans:11,
                      Atten:20,
                      replyNum:9,
                      collNum:5,
                      commNum:9,
                  },)
</script>
<style >

</style>
<style lang="less">
.cont{
    width: 100%;
    overflow:visible;
    .user-card{
        .el-card__body {
            width: 100%;
        }
        display: flex;
        padding-left: 20px;
        overflow:visible;
        width: 100%;
        height: 200px;
        .u-avater{
            position: relative;
            top: -80px;
            height: 160px;
            width: 160px;
            border-radius: 50%;
            border: 14px white solid;
        }
        .u-text-list{
           div{
            padding-bottom: 10px;
        } 
        .u-name{
            font-size: 24px;
            font-weight: 900;
            span{
                font-weight:lighter;
                // color: blue;
            }
        }
        .u-sign{
            padding-top: 10px;
        }
        .u-id{
            color: #6c6c6c;
        }
        .u-tag-list{
            margin-top: 20px;
            .el-tag{
                margin-right: 10px;
                font-size: 13px;
                color: #4b4b4b;
            }
        }
        }
        .u-card-right{
            .u-btn{
                height: 80px;
                border-bottom: 1px #d0d0d0 solid;
                .el-button{
                   width: 180px;
                   height: 40px; 
                } 
            }
            .u-uers-list{
                height: 90px;
                .el-col{
                    display: flex;
                    justify-content:space-around;
                    align-content: center;
                    flex-direction: column;
                    font-size: 18px;
                    span{
                        font-weight: 700;
                    }
                    span,div{
                        text-align: center;
                    }
                }
                .el-col:hover{
                    background: rgba(129, 211, 255, 0.2);
                    color: rgb(92, 190, 239);
                }
            }
        }
        
    }
}
</style>